package siprp.database.cayenne.objects;

import siprp.database.cayenne.objects.auto._HsRelatorioMedida;

public class HsRelatorioMedida extends _HsRelatorioMedida {

	private static final long serialVersionUID = 1L;

	@Override
	public String getDescription()
	{
		return parseFromUnicode( super.getDescription() );
	}
	
	
	@Override
	public void setDescription( String nome )
	{
		super.setDescription( parseToUnicode( nome ) );
	}
	
	@Override
	public String getRequesitosLegais()
	{
		return parseFromUnicode( super.getRequesitosLegais());
	}
	
	
	@Override
	public void setRequesitosLegais( String nome )
	{
		super.setRequesitosLegais( parseToUnicode( nome ) );
	}
	
	@Override
	public String toString()
	{
		return getRequesitosLegais();
	}
}
